# Created by pyp2rpm-3.3.10
%global pypi_name torchinfo
%global pypi_version 1.8.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Model summary in PyTorch, based off of the original torchsummary

License:        MIT
URL:            https://github.com/tyleryep/torchinfo
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 torchinfo[![Python 3.7+]( [![PyPI version]( [![Conda version]( [![Build
Status]( [![pre-commit.ci status](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 torchinfo[![Python 3.7+]( [![PyPI version]( [![Conda version]( [![Build
Status]( [![pre-commit.ci status](


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun May 25 2025 sumantro93 <sumantro@redhat.com> - 1.8.0-1
- Initial package.
